Deployments.ai Docs
Agent Email

List inbox bindings

GET /v1/agent-email/inboxes/{inboxId}/bindings · SDK listAgentEmailBindings · CLI deployments inbox-binding list

GET
/v1/agent-email/inboxes/{inboxId}/bindings

Requires agent-email:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

inboxId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

AgentEmailBindingPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/agent-email/inboxes/string/bindings" \  -H "x-deployments-environment: string"
{  "items": [    {      "agentDeploymentId": "string",      "bindingType": "external",      "createdAt": "2019-08-24T14:15:22Z",      "externalId": "string",      "id": "string",      "inboxId": "string",      "metadata": {        "property1": null,        "property2": null      },      "organizationId": "string",      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "nextCursor": "string"}